For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get subscriber

Get a subscriber.

get
/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
subscriberUidstringRequired

Reference to a subscriber

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
subscriberUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
get/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "subscriberUid": "text",
  "subscription": {
    "type": "SALES_SUMMARY_REPORT",
    "name": "text"
  },
  "tenantUser": {
    "tenantUserUid": "text",
    "displayName": "text",
    "email": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text"
}

Last updated

Was this helpful?